# G540 VFD when tuned for 440 with TTS/R8 spindle

[SPINDLE]
REVERSE_SUPPORTED = YES
LO_RANGE_MIN = 250
LO_RANGE_MAX = 4000
HI_RANGE_MIN = 250
HI_RANGE_MAX = 6000

# seconds between spindle start command, contactor closure, and start of acceleration
STARTUP_DELAY = 1.0
SECONDS_TO_MAX_RPM = 1.0

# feeds and speeds power curve (rpm to hp)
LO_POWER_CURVE = (%(LO_RANGE_MIN)s, 0.2), (2000, 0.8), (4000, 1.2), (%(LO_RANGE_MAX)s, 1.0)
HI_POWER_CURVE = (%(HI_RANGE_MIN)s, 0.1), (3000, 0.6), (6000, 0.8), (%(HI_RANGE_MAX)s, 0.68)

# motor to spindle pulley ratios
HI_RANGE_PULLEY_RATIO = 1.0
LO_RANGE_PULLEY_RATIO = 0.69

[TORMACH_SPINDLE]
SPINDLE_CMD_LATENCY_SEC = 0.0
# Approximate from max RPM time
SPINDLE_VFD_PEAK_ACCEL_RPS2 = 28.0
